Start monitoring
Enable uptime monitoring for a link's destination URL. The system checks availability at regular intervals and triggers webhook alerts on status changes.
curl -X POST "https://api.mythic-analytics.com/api/v1/links/example_string/uptime/start" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-d '{
"interval": 300,
"timeout": 30
}'
import requests
import json
url = "https://api.mythic-analytics.com/api/v1/links/example_string/uptime/start"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
data = {
"interval": 300,
"timeout": 30
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.mythic-analytics.com/api/v1/links/example_string/uptime/start", {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
},
body: JSON.stringify({
"interval": 300,
"timeout": 30
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"interval": 300,
"timeout": 30
}`)
req, err := http.NewRequest("POST", "https://api.mythic-analytics.com/api/v1/links/example_string/uptime/start", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.mythic-analytics.com/api/v1/links/example_string/uptime/start')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
request.body = '{
"interval": 300,
"timeout": 30
}'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"link_id": "lnk_9xP3qLmN",
"status": "up",
"response_time_ms": 245,
"last_checked": "2024-06-15T14:30:00.000Z",
"monitoring_active": true,
"interval": 300
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/links/{id}/uptime/startAdmin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
Bearer YOUR_ADMIN_KEYAlternative to the Authorization header for server-to-server scenarios.
Short link identifier.
The media type of the request body
Check interval in seconds. Default 300 (5 minutes). Minimum 60.
Request timeout in seconds. Default 30.
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token. Admin API key as bearer token. Format: Bearer YOUR_ADMIN_KEY
API Key for authentication. Alternative to the Authorization header for server-to-server scenarios.
Path Parameters
Short link identifier.
Body
Check interval in seconds. Default 300 (5 minutes). Minimum 60.
Request timeout in seconds. Default 30.
Responses
updownunknownLast recorded response time in milliseconds.
Check interval in seconds.
Last updated Feb 26, 2026
Built with Documentation.AI